Blame SOURCES/parted-3.1-tests-rewrite-t6001-to-use-dev-mapper.patch

9cc286
From 7d4947fd094f1dda491473a57a9275971405684e Mon Sep 17 00:00:00 2001
9cc286
From: Fedora Ninjas <parted-owner@fedoraproject.org>
9cc286
Date: Wed, 17 Apr 2013 14:59:36 -0700
9cc286
Subject: [PATCH] tests: rewrite t6001 to use /dev/mapper
9cc286
9cc286
This test begain failing because using a private copy of /dev/mapper
9cc286
confuses the system. This fixes that and generally cleans up the test.
9cc286
9cc286
tests/t6001.sh: update to use /dev/mapper directly
9cc286
---
9cc286
 tests/t6001-psep.sh | 43 ++++++++++++++++++-------------------------
9cc286
 1 file changed, 18 insertions(+), 25 deletions(-)
9cc286
9cc286
diff --git a/tests/t6001-psep.sh b/tests/t6001-psep.sh
9cc286
index 1859ac9..0c1ab99 100644
9cc286
--- a/tests/t6001-psep.sh
9cc286
+++ b/tests/t6001-psep.sh
9cc286
@@ -1,4 +1,5 @@
9cc286
 #!/bin/sh
9cc286
+
9cc286
 # ensure that parted names partitions on dm disks correctly
9cc286
 
9cc286
 # Copyright (C) 2011-2012 Free Software Foundation, Inc.
9cc286
@@ -19,10 +20,7 @@
9cc286
 . "${srcdir=.}/init.sh"; path_prepend_ ../parted
9cc286
 
9cc286
 require_root_
9cc286
-lvm_init_root_dir_
9cc286
-
9cc286
-test "x$ENABLE_DEVICE_MAPPER" = xyes \
9cc286
-  || skip_ "no device-mapper support"
9cc286
+(dmsetup --help) > /dev/null 2>&1 || skip_test_ "No dmsetup installed"
9cc286
 
9cc286
 # Device maps names - should be random to not conflict with existing ones on
9cc286
 # the system
9cc286
@@ -41,25 +39,19 @@ cleanup_fn_() {
9cc286
     rm -f "$f1 $f2";
9cc286
 }
9cc286
 
9cc286
-# create a file of size N bytes
9cc286
-N=10M
9cc286
+loop_file_1=loop-file-1-$$
9cc286
+loop_file_2=loop-file-2-$$
9cc286
 
9cc286
-f1=$(pwd)/1; d1=$(loop_setup_ "$f1") \
9cc286
-  || skip_ "is this partition mounted with 'nodev'?"
9cc286
+d1=$(loop_setup_ $loop_file_1) || framework_failure
9cc286
+d1_size=$(blockdev --getsz $d1)
9cc286
+d2=$(loop_setup_ $loop_file_2) || framework_failure
9cc286
+d2_size=$(blockdev --getsz $d2)
9cc286
 
9cc286
-f2=$(pwd)/2 ;d2=$(loop_setup_ "$f2") \
9cc286
-  || skip_ "is this partition mounted with 'nodev'?"
9cc286
-
9cc286
-dmsetup_cmd="0 `blockdev --getsz $d1` linear $d1 0"
9cc286
-# setup: create a mapping
9cc286
-echo "$dmsetup_cmd" | dmsetup create "$linear_" || fail=1
9cc286
-dev="$DM_DEV_DIR/mapper/$linear_"
9cc286
+dmsetup create $linear_ --table "0 $d1_size linear $d1 0" || framework_failure
9cc286
+dev="/dev/mapper/$linear_"
9cc286
 
9cc286
 # Create msdos partition table
9cc286
-parted -s $dev mklabel msdos > out 2>&1 || fail=1
9cc286
-compare /dev/null out || fail=1
9cc286
-
9cc286
-parted -s $dev mkpart primary fat32 1m 5m > out 2>&1 || fail=1
9cc286
+parted -s $dev mklabel msdos mkpart primary fat32 1m 5m > out 2>&1 || fail=1
9cc286
 compare /dev/null out || fail=1
9cc286
 
9cc286
 #make sure device name is correct
9cc286
@@ -67,17 +59,18 @@ test -e ${dev}p1 || fail=1
9cc286
 
9cc286
 #repeat on name not ending in a digit
9cc286
 # setup: create a mapping
9cc286
-echo "$dmsetup_cmd" | dmsetup create "$linear2_" || fail=1
9cc286
-dev="$DM_DEV_DIR/mapper/$linear2_"
9cc286
+dmsetup create $linear2_ --table "0 $d2_size linear $d2 0" || framework_failure
9cc286
+dev="/dev/mapper/$linear2_"
9cc286
 
9cc286
 # Create msdos partition table
9cc286
-parted -s $dev mklabel msdos > out 2>&1 || fail=1
9cc286
-compare /dev/null out || fail=1
9cc286
-
9cc286
-parted -s $dev mkpart primary fat32 1m 5m > out 2>&1 || fail=1
9cc286
+parted -s $dev mklabel msdos mkpart primary fat32 1m 5m > out 2>&1 || fail=1
9cc286
 compare /dev/null out || fail=1
9cc286
 
9cc286
 #make sure device name is correct
9cc286
 test -e ${dev}1 || fail=1
9cc286
 
9cc286
+if [ -n "$fail" ]; then
9cc286
+    ls /dev/mapper
9cc286
+fi
9cc286
+
9cc286
 Exit $fail
9cc286
-- 
9cc286
1.8.1.4
9cc286